org.openstreetmap.josm.plugins.streetside.model

## Class ImageDetection

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.model.KeyIndexedObject
  - - org.openstreetmap.josm.plugins.streetside.model.SpecialImageArea
    - - org.openstreetmap.josm.plugins.streetside.model.ImageDetection

-     public class ImageDetection
      extends SpecialImageArea

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `packag`
    `private static java.lang.String` | `PACKAGE_TRAFFIC_SIGNS`
    `private double` | `score`
    `private java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageDetection(java.awt.geom.Path2D shape, java.lang.String imageKey, java.lang.String key, double score, java.lang.String packag, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPackage()`
    `double` | `getScore()`
    `java.lang.String` | `getValue()`
    `boolean` | `isTrafficSign()`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.model.SpecialImageArea

      `getImageKey, getShape`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.model.KeyIndexedObject

      `equals, getKey, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE_TRAFFIC_SIGNS

          private static final java.lang.String PACKAGE_TRAFFIC_SIGNS

      See Also:
        Constant Field Values

    - #### packag

          private final java.lang.String packag

    - #### score

          private final double score

    - #### value

          private final java.lang.String value

  - ### Constructor Detail

    - #### ImageDetection

          public ImageDetection(java.awt.geom.Path2D shape,
                                java.lang.String imageKey,
                                java.lang.String key,
                                double score,
                                java.lang.String packag,
                                java.lang.String value)

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### getScore

          public double getScore()

    - #### getValue

          public java.lang.String getValue()

    - #### isTrafficSign

          public boolean isTrafficSign()

JOSM Plugins